Name:          newt
Version:       0.52.24
Release:       1mamba
Summary:       A development library for text mode user interfaces
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://releases.pagure.org/newt/
Source:        https://pagure.io/releases/newt/newt-%{version}.tar.gz
Patch0:        newt-0.52.17-configure-pythonvers.patch
Patch1:        %{name}-0.51.6-if1close.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpopt-devel
BuildRequires: libpython310-devel
BuildRequires: libpython311-devel
BuildRequires: libslang-devel
BuildRequires: libxcrypt-devel
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel
#BuildRequires: libtcl-devel >= 8.6.1

%description
Newt is a programming library for color text mode, widget based user interfaces.
Newt can be used to add stacked windows, entry widgets, checkboxes, radio buttons, labels, plain text fields, scrollbars, etc., to text mode user interfaces.
This package contains a /usr/bin/dialog replacement called whiptail. Newt is based on the slang library.

%package -n lib%{name}
Summary:       Newt windowing toolkit development files library
Group:         System/Libraries

%description -n lib%{name}
Newt is a programming library for color text mode, widget based user interfaces.
Newt can be used to add stacked windows, entry widgets, checkboxes, radio buttons, labels, plain text fields, scrollbars, etc., to text mode user interfaces.
This package contains the shared library needed by programs built with newt. Newt is based on the slang library.

%package -n lib%{name}-devel
Summary:       Newt windowing toolkit development files
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description -n lib%{name}-devel
Newt is a development library for text mode user interfaces. Newt is based on the slang library.
This package contains the header files and libraries necessary for developing applications which use newt.

%package -n python-%{name}-py3
Summary:       Python bindings for GNU parted for newt windowing toolkit
Group:         Development/Libraries/Python
Requires:      lib%{name} = %{version}-%{release}
Requires:      python3
Provides:      python-newt
Obsoletes:     python-newt < 0.52.22

%description -n python-%{name}-py3
Newt is a programming library for color text mode, widget based user interfaces.
Newt can be used to add stacked windows, entry widgets, checkboxes, radio buttons, labels, plain text fields, scrollbars, etc., to text mode user interfaces.
This module contains Python bindings for the newt library.

%package -n python-%{name}-py310
Summary:       Python bindings for GNU parted for newt windowing toolkit
Group:         Development/Libraries/Python
Requires:      lib%{name} = %{version}-%{release}
Requires:      python310

%description -n python-%{name}-py310
Newt is a programming library for color text mode, widget based user interfaces.
Newt can be used to add stacked windows, entry widgets, checkboxes, radio buttons, labels, plain text fields, scrollbars, etc., to text mode user interfaces.
This module contains Python bindings for the newt library.

%debug_package

%prep
%setup -q
#%patch0 -p1
%patch 1 -p1 -b .if1close

%build
%configure \
   CFLAGS="%{optflags} -I%{_includedir}/slang"

%make \
%if "%{_host}" != "%{_build}"
   LIBS="-lslang -ldl -lm"
%endif
#LIBTCL="-ltcl8.5" \

chmod 0644 peanuts.py popcorn.py

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
make install instroot=%{buildroot}

%find_lang %{name}

rm -f %{buildroot}%{_libdir}/python/site-packages/*.so
rm -f %{buildroot}%{_libdir}/python/site-packages/*.py
rm -rf %{buildroot}%{_libdir}/python2.*/site-packages
rm -rf %{buildroot}%{_libdir}/python3.6/site-packages
rm -rf %{buildroot}%{_libdir}/python3.7/site-packages
rm -rf %{buildroot}%{_libdir}/python3.9/site-packages
rm -rf %{buildroot}%{_libdir}/python3.12/site-packages

#%ifarch x86_64 aarch64
#install -d -m0755 %{buildroot}%{_prefix}/lib
#mv %{buildroot}%{_libdir}/python* %{buildroot}%{_prefix}/lib/
#%endif

rm -rf %{buildroot}%{_libdir}/usr/include/python/Python.h/site-packages/snack.py

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/whiptail
%{_mandir}/man1/whiptail.1*
%doc COPYING

%files -n lib%{name} -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libnewt.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_libdir}/libnewt.a
%{_libdir}/libnewt.so
%{_libdir}/pkgconfig/libnewt.pc
#%if "%{_host}" == "%{_build}"
#%{_libdir}/whiptcl.so
#%endif
%doc CHANGES
%doc tutorial.sgml peanuts.py popcorn.py

%files -n python-newt-py3
%defattr(-,root,root)
%{python3_sitearch}/*.so
%{python3_sitearch}/*.py

%files -n python-newt-py310
%defattr(-,root,root)
%{python310_sitearch}/*.so
%{python310_sitearch}/*.py

%changelog
* Fri Oct 27 2023 Automatic Build System <autodist@mambasoft.it> 0.52.24-1mamba
- automatic version update by autodist

* Wed Nov 30 2022 Automatic Build System <autodist@mambasoft.it> 0.52.23-1mamba
- automatic version update by autodist

* Thu Nov 24 2022 Automatic Build System <autodist@mambasoft.it> 0.52.22-1mamba
- automatic version update by autodist

* Thu Nov 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.52.21-1mamba
- update to 0.52.21

* Thu Jul 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.52.17-2mamba
- rebuilt to fix link with correct soname

* Sun Jul 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.52.17-1mamba
- update to 0.52.17

* Sun Aug 11 2013 Automatic Build System <autodist@mambasoft.it> 0.52.16-1mamba
- automatic update by autodist

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 0.52.15-1mamba
- automatic version update by autodist

* Fri Nov 11 2011 Automatic Build System <autodist@mambasoft.it> 0.52.14-1mamba
- automatic version update by autodist

* Wed Dec 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.52.12-2mamba
- move whiptcl.so to devel package

* Mon Aug 09 2010 Automatic Build System <autodist@mambasoft.it> 0.52.12-1mamba
- automatic update by autodist

* Thu May 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.52.11-2mamba
- rebuilt against libtcl 8.5

* Fri Jan 15 2010 Automatic Build System <autodist@mambasoft.it> 0.52.11-1mamba
- automatic update by autodist

* Sun Jul 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.52.10-1mamba
- update to 0.52.10

* Fri Jul 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.51.6-3mamba
- specfile updated

* Mon Feb 27 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 0.51.6-2qilnx
- added missing build requirement
- fixed subpackage python-newt group

* Thu Jun 30 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.51.6-1qilnx
- update to version 0.51.6 by autospec
- new package python-newt

* Sun Apr 27 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.20.1-2qilnx
- fixed inclusion mask of /usr/lib/libnewt.so.*

* Thu Apr 24 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 1.20.1-1qilnx
- Creation of newt package
